Bug 7602 - медленный backend
: медленный backend
Status: CLOSED WONTFIX
: Sisyphus
(All bugs in Sisyphus/alterator-i18n)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-08-08 13:20 by
Modified: 2008-01-12 01:55 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-08-08 13:20:56
команда /usr/lib/alterator/backend/i18n -l available выполняется очень
медленно,
если в системе установлены все локали.
------- Comment #1 From 2005-08-09 11:38:23 -------
Антон, пожайлуста засеки сколько выполняется:
for i in `locale -a`; do LC_ALL=$i locale title; done
Дима, есть ли способ быстрее выдергивать из glibc всю эту информацию?
------- Comment #2 From 2005-08-09 15:33:18 -------
0.19user 0.43system 0:37.24elapsed 1%CPU (0avgtext+0avgdata 0maxresident)k
0inputs+0outputs (1948major+55519minor)pagefaults 0swaps

Это на быстром двухпроцессором сервере.
------- Comment #3 From 2005-08-09 19:42:05 -------
Конечно, можно выдрать соответствующий кусок из glibc/locale/programs/locale.c,
чтобы не запускать locale столько раз.  Ускорение будет на порядок.
------- Comment #4 From 2008-01-10 17:25:14 -------
неактуально вследствие исчезновения пакета из Сизифа.
------- Comment #5 From 2008-01-12 01:55:49 -------
А жаль, ну да closed.